Get activation list

Prev Next

Available in Classic and VPC

View the list of results from running an action for a month.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /ncf/api/v2/activations

Request headers

For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
platform String Optional Platform type
  • vpc (default) | classic
pageSize Integer Optional Page size of the query result
  • 20 (default)
pageNo Integer Optional Query result page number
  • 1 (default)
start Integer Optional Timestamp of the query start time (milliseconds)
  • 1 month prior to request time (default)
end Integer Optional Timestamp of the query end time (milliseconds)
  • Request time (default)

Request example

The following is a sample request.

curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/activations?platform=vpc' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' 

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content.activations Object - Execution result information: activations
content.totalCount Integer - Number of execution results

activations

The following describes activations.

Field Type Required Description
activationId String - Action execution result ID
duration Integer - Time taken to execute the action (milliseconds)
status String - Action status

Response status codes

For information about the HTTP status codes common to all Cloud Functions APIs, see Cloud Functions response status codes.

Response example

The following is a sample response.

{
    "content": {
        "activations": [
            {
                "activationId": "18c70ad3a7804d25870ad3a7806d25cb",
                "duration": 199,
                "status": "success"
            }
        ],
        "totalCount": 1
    }
}